Subject: Re: bug#24510: 25.1; Info: searching for ` does not find what looks like `

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Sep 2016 21:40:07 +0300

> Date: Thu, 22 Sep 2016 10:04:27 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> emacs -Q
> 
> C-h r g Dired
> C-s `list
> 
> finds nothing, missing the occurrence of ‘list-directory’ that is in the
> same node.
> 
> What looks exactly (AFAICT) like the backquote you typed at the prompt
> is NOT the same as the character that precedes "list-directory" in the
> buffer.

It doesn't look exactly like it here.  In fact, it looks quite
different.  Although it could be that on your system Emacs uses
different fonts than those on mine.

But if 2 characters from 2 different fonts look the same on your
system, I think you should customize the Info faces to countermand
that.  I don't see any other solution.

> And it is not matched to that character by Isearch.

It might, if you turn on character-folding in Isearch.  Unfortunately,
that is off by default.

> Emacs provides a default font where these two characters are visually
> indistinguishable.

Emacs doesn't provide any fonts.  Your system does.  On my system,
these two characters look different, even with my old weary eyes.

> Hard to believe this annoyance has gotten as far as it has (release
> 25.1).  Did no one try searching our manuals using Emacs -Q?

We did.  It works for me.